<?php namespace App\ViewModels\Raca\RacaUpdateViewModel;

use App\Utils\Builder;

class RacaUpdateViewModelBuilder implements Builder
{

    protected $nome;
    protected $id_especie;

    public function setNome($nome)
    {
        $this->nome = $nome;
        return $this;
    }

    public function setIdEspecie($id_especie)
    {
        $this->id_especie = $id_especie;
        return $this;
    }


    public function build() : RacaUpdateViewModel
    {
        $procedimento_update_vm = new RacaUpdateViewModel();
        $procedimento_update_vm->setNome($this->nome);
        $procedimento_update_vm->setIdEspecie($this->id_especie);

        return $procedimento_update_vm;
    }
}